Skip to main content
GET
/
v1
/
persons
/
lookup
Wyszukiwanie osoby
curl --request GET \
  --url https://api.krdata.pl/v1/persons/lookup \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "summary": {
      "krs_active_roles": 123,
      "crbr_ubo_in": 123,
      "krz_records": 123
    },
    "companies": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "roles": [
          {
            "source": "<string>",
            "type": "<string>",
            "position": "<string>"
          }
        ],
        "krs": "<string>"
      }
    ],
    "companies_total": 123,
    "metadata": {
      "first_seen": "2023-11-07T05:31:56Z",
      "last_updated": "2023-11-07T05:31:56Z",
      "source_updated_at": "2023-11-07T05:31:56Z"
    },
    "birth_date": "2023-12-25",
    "pesel": "<string>",
    "nationalities": [
      "<string>"
    ],
    "residence_country": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.krdata.pl/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

id
string<uuid> | null
pesel
string | null
Pattern: ^\d{11}$

Response

Successful Response

id
string<uuid>
required
name
string
required
summary
PersonSummary · object
required
companies
PersonCompanyStub · object[]
required
companies_total
integer
required
metadata
Metadata · object
required
birth_date
string<date> | null
pesel
string | null
nationalities
string[] | null
residence_country
string | null